def parsePullMessage(message):
    task = {
        'status': 'NONE'
    }
    
    if message == 'NONE':
        return task
    
    values = message.split(';')
    try:
    
        task = {
            'status': values[0],
            'requestId': values[1],
            'timestamp': values[3],
            'destination': values[4],
            'member': values[5],
            'gateway_type': values[6],
            'product': values[7],
            'city': values[8]
        }
        
    except:
        task
    
    return task
    
def keyByRequestId(chipinfo, requestId):
    return str(chipinfo) + '.trx.requestId:' + str(requestId)

def keyByNominalDestination(chipinfo, nominal, destination):
    return str(chipinfo) + '.trx.nominal:' + str(nominal) + '.destination:' + str(destination)

def main():
    return
    
def removeProduct(products, product):
    try:
        products = products.upper()
        
        newProducts = products.split(',')
        newProducts.remove(product.upper())
        
        newProducts.sort()
        return ','.join(newProducts)
    except:
        return products
    
if __name__ == '__main__':
    main()
